# GitVersionControlSpec

interface GitVersionControlSpec : VersionControlSpec

A specification of a Git repository.

#### Since

4.4

## Functions

getDisplayName
Link copied to clipboard
abstract fun getDisplayName(): String
getRepoName
Link copied to clipboard
abstract fun getRepoName(): String
getRootDir
Link copied to clipboard
abstract fun getRootDir(): String
getUniqueId
Link copied to clipboard
abstract fun getUniqueId(): String
getUrl
Link copied to clipboard
abstract fun getUrl(): URI
The URL for the repository in the specification.
plugins
Link copied to clipboard
abstract fun plugins(configuration: Action<in InjectedPluginDependencies>)
setRootDir
Link copied to clipboard
abstract fun setRootDir(rootDir: String)
setUrl
Link copied to clipboard
abstract fun setUrl(url: String)
abstract fun setUrl(url: URI)
Sets the URL of the repository.